/* NAVBAR */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 40px;
    background: #f3d6d6;
    color: #fff;
}
.navbar {
  font-size: 26px;
  padding-left: 100px;
  font-weight: bold;
  color: #333;
}
.tagline {
  font-size: 14px;
  color: #614303;
  margin-top: 3px;
  letter-spacing: 0.5px;
}

header nav a {
    text-decoration: none;
    color: #080808;
    font-weight: bold;
    margin-left: 20px;
    font-size: 16px;
}   

header nav a:hover,
header nav .active {
    color: #db6868;
    font-weight: bold;
}

.floating-logo {
    position: absolute;
    top: 10px;      /* Moves logo upward */
    left: 20px;      /* Adjust horizontal position */
    height: 80px;
    width: auto;
    z-index: 10;     /* Ensures logo appears above header */
}


/* HERO SECTION */
body {
    margin: 0;
    font-family: Arial, sans-serif;
}

/* HERO SECTION */
.hero {
    display: flex;
    align-items: center;
    padding: 60px;
    gap: 50px;
}

.hero-left h1 {
    font-size: 48px;
    font-weight: 700;
    margin-bottom: 20px;
}

.hero-left p {
    font-size: 18px;
    color: #555;
    margin-bottom: 30px;
}

.hero-buttons .btn-primary {
    background: #f56600;
    color: white;
    padding: 12px 25px;
    border-radius: 6px;
    text-decoration: none;
    font-size: 16px;
}

.hero-buttons .btn-outline {
    border: 2px solid #f56600;
    padding: 10px 22px;
    border-radius: 6px;
    text-decoration: none;
    margin-left: 15px;
    font-size: 16px;
    color: #f56600;
}

.hero-right img {
    width: 500px;
    border-radius: 10px;
}

.hero-align {
    padding-left: 50px;
    text-align: left;
    background: #ebe9e9;
}

ul {
  font-size: 25px; /* increases size of all list items */
}

/* services sections*/

.services-section {
  padding: 40px 80px;
}

.services-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

.service-card {
  background: #ffffff;
  padding: 30px;
  border-radius: 12px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.05);
  transition: transform 0.3s ease;
}

.service-card:hover {
  transform: translateY(-6px);
}

.icon {
  width: 60px;
  height: 60px;
  background-color: #fad8be;
  color: #ff6a00;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 10px;
  font-size: 24px;
  margin-bottom: 20px;
}

.service-card h3 {
  font-size: 18px;
  margin-bottom: 12px;
  color: #111;
}

.service-card p {
  font-size: 14px;
  color: #555;
  line-height: 1.6;
}

/* Responsive */
@media (max-width: 992px) {
  .services-container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 600px) {
  .services-container {
    grid-template-columns: 1fr;
  }
}

/* pricing section*/
.quick-pricing{
text-align: center;
padding: 50px;
background-color: #e2e0e0;
}

.quick-pricing h1{
    background-color: #f8b686;
    border-radius: 10px;
}

.quick-pricing h4{
    background-color: #f0c19f;
    border-radius: 10px;
    text-justify: auto;
    font-size: 22px;
}

.about-hero {
    background: url('https://images.unsplash.com/photo-1581090700227-1e37b190418e') center/cover no-repeat;
    color: white;
    text-shadow: 1px 1px 5px black;
}

.precast-hero{
    background: url('https://images.pexels.com/photos/1216544/pexels-photo-1216544.jpeg') center/cover no-repeat;
    color: white;
    text-shadow: 1px 1px 5px black;
}

.about-sevices{
    background: url('https://images.unsplash.com/39/lIZrwvbeRuuzqOoWJUEn_Photoaday_CSD%20%281%20of%201%29-5.jpg?q=80&w=870&auto=format&fit=crop&ixlib=rb-4.1.0&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D') center/cover no-repeat;
    color: white;
    text-shadow: 1px 1px 5px black;
}
.prefab-hero{
    background: url('https://images.unsplash.com/photo-1630870527058-469ce442ae09?q=80&w=703&auto=format&fit=crop&ixlib=rb-4.1.0&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D') center/cover no-repeat;
    color: white;
    text-shadow: 1px 1px 5px black;
}
.precasts-hero1{
    padding: 50px;
}

.precasts-hero1 h2{
    padding: 5px;
    border-radius: 10px;
    background:#f0c19f;
}
/* ABOUT SECTION */
.about-container {
    display: flex;
    gap: 40px;
    padding: 60px 40px;
    align-items: flex-start;
}

.about-content {
    width: 60%;
}

.about-content h2 {
    margin-top: 30px;
    margin-bottom: 10px;
    color: #333;
}

.about-content p, .about-content ul {
    color: #555;
    line-height: 1.6;
}

.about-content ul li {
    margin-bottom: 8px;
}

/* ABOUT IMAGE */
.about-image img {
    width: 100%;
    max-width: 420px;
    border-radius: 10px;
}

/*Pre Casts*/

/* FOOTER */
footer {
    background: #222;
    color: #ccc;
    text-align: center;
    padding: 20px;
    margin-top: 40px;
}

.services-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    padding: 40px;
    gap: 30px;
}

.service-box {
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.15);
    text-align: left;
}

.service-box img {
    width: 100%;
    height: 30%;
    border-radius: 10px;
    margin-bottom: 15px;
}

.service-box h2 {
    margin-top: 0;
    color: #222;
}

.service-box ul {
    padding-left: 20px;
}

.service-box ul li {
    margin-bottom: 6px;
}

/* contacts section*/

.hero-contacts{
    padding: 60px;
}

.hero-contacts .contact-card{
    padding: 20px;
}

